Skip to main content
GET
Show refund details

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication

Headers

PayPal-Auth-Assertion
string

An API-caller-provided JSON Web Token (JWT) assertion that identifies the merchant. For details, see PayPal-Auth-Assertion.

Note:For three party transactions in which a partner is managing the API calls on behalf of a merchant, the partner must identify the merchant using either a PayPal-Auth-Assertion header or an access token with target_subject.

Path Parameters

refund_id
string
required

The PayPal-generated ID for the refund for which to show details.

Response

A successful request returns the HTTP 200 OK status code and a JSON response body that shows refund details.

The refund information.

status
enum<string>
read-only

The status of the refund.

Available options:
CANCELLED,
FAILED,
PENDING,
COMPLETED
status_details
Refund Status Details · object
read-only

The details of the refund status.

id
string
read-only

The PayPal-generated ID for the refund.

amount
Money · object
read-only

The amount that the payee refunded to the payer.

invoice_id
string
read-only

The API caller-provided external invoice number for this order. Appears in both the payer's transaction history and the emails that the payer receives.

custom_id
string

The API caller-provided external ID. Used to reconcile API caller-initiated transactions with PayPal transactions. Appears in transaction and settlement reports.

Required string length: 1 - 255
Pattern: ^[A-Za-z0-9-_.,]*$
acquirer_reference_number
string

Reference ID issued for the card transaction. This ID can be used to track the transaction across processors, card brands and issuing banks.

Required string length: 1 - 36
Pattern: ^[a-zA-Z0-9]+$
note_to_payer
string
read-only

The reason for the refund. Appears in both the payer's transaction history and the emails that the payer receives.

seller_payable_breakdown
Seller Payable Breakdown · object
read-only

The breakdown of the refund.

payer
Payee Base · object
read-only

The details associated with the merchant for this transaction.

An array of related HATEOAS links.

create_time
string<ppaas_date_time_v3>
read-only

The date and time when the transaction occurred, in Internet date and time format.

Required string length: 20 - 64
Pattern: ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$
update_time
string<ppaas_date_time_v3>
read-only

The date and time when the transaction was last updated, in Internet date and time format.

Required string length: 20 - 64
Pattern: ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$